apply plugin: 'com.android.application'

android {
    compileSdkVersion rootProject.ext.android.compileSdkVersion
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    signingConfigs {
        release {
            keyAlias 'phonelive'
            keyPassword 'phonelive'
            storeFile file('../education.jks')
            storePassword 'phonelive'
        }
    }


    defaultConfig {
        applicationId rootProject.ext.android.applicationId
        minSdkVersion rootProject.ext.android.minSdkVersion
        targetSdkVersion rootProject.ext.android.targetSdkVersion
        versionCode rootProject.ext.android.versionCode
        versionName rootProject.ext.android.versionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        manifestPlaceholders = rootProject.ext.manifestPlaceholders

        multiDexEnabled true
        ndk {
            abiFilters "armeabi-v7a","arm64-v8a"
        }
        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [AROUTER_MODULE_NAME: project.getName()]
            }
        }
    }



    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug {
            signingConfig signingConfigs.release
        }
    }
}




dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    api 'androidx.constraintlayout:constraintlayout:1.1.3'
    api 'com.trello.rxlifecycle2:rxlifecycle:2.2.1'
    api 'com.trello.rxlifecycle2:rxlifecycle-android:2.2.1'
    api 'com.trello.rxlifecycle2:rxlifecycle-components:2.2.1'
    annotationProcessor rootProject.ext.dependencies["butterknife-compiler"]
    annotationProcessor rootProject.ext.dependencies["arouter-compiler"]

    api project(':main')

    api 'com.github.moduth:blockcanary-android:1.1.0'
     // 如果只想在debug包看到弹出notification
    debugApi 'com.github.moduth:blockcanary-ui:1.1.0'
}
